import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';
import { FaceMain } from './FaceMain.js';


const width = 1000;
const height = 500;
const strokeWidth = 13;
const radius = 200;
const offset = 50;
const initialMousePosition = {
  x: width / 2,
  y: height / 2,
};

const mouthArc = d3
  .arc()
  .innerRadius(100)
  .outerRadius(110)
  .startAngle(Math.PI / 2)
  .endAngle((Math.PI * 3) / 2);

const Eyes = ({ radius, offset }) => (
  <>
    <circle cx={offset} cy={-offset} r={radius} />
    <circle cx={-offset} cy={-offset} r={radius} />
  </>
);

const App = () => {
  
  const [mousePosition, setMousePosition] = useState(
    initialMousePosition);
  
  const handleMouseMove = (event) => {
    const { clientX, clientY } = event;
    setMousePosition({ x: clientX, y: clientY });
  };

  return (
    <svg
      width={width}
      height={height}
      onMouseMove={handleMouseMove}
    >
      <circle
        cx={mousePosition.x}
        cy={mousePosition.y}
        r={
          ((((radius / 10) * 
             initialMousePosition.x /
             mousePosition.x * 
             initialMousePosition.y /
             mousePosition.y)))
        }
      />
    </svg>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);

/*
<circle
        cx={-offset}
        cy={-offset}
        r={radius / 10}
      ></circle>
      <circle
        cx={offset}
        cy={-offset}
        r={radius / 10}
      ></circle>
          */
